<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imfilter</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="fspecial.html">&lt;&lt; fspecial</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_3ba7058e738fa302f12702588c6eea04.html">Image Linear Filtering</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_3ba7058e738fa302f12702588c6eea04.html">Image Linear Filtering</a> &gt; imfilter</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imfilter</h1>
    <p class="refpurpose">Image filtering</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imf</span><span class="default"> = </span><span class="functionid">imfilter</span><span class="default">(</span><span class="default">im</span><span class="default">, </span><span class="default">F</span><span class="default">, </span><span class="default">bound</span><span class="default">, </span><span class="default">opsz</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">An image which will be filterd. The image can be UINT8, INT8, UINT16, INT16, INT32, DOUBLE.</p></dd></dt>
   <dt><span class="term">F :</span>
      <dd><p class="para">A double 2D filter.</p></dd></dt>
   <dt><span class="term">imf :</span>
      <dd><p class="para">The filtered image which has the same dimension and class with im .</p></dd></dt>
   <dt><span class="term">bound :</span>
      <dd><p class="para">Type of boundary, values or keywords. Current supported type with keyword is &#0039;circular&#0039;.</p></dd></dt>
   <dt><span class="term">opsz :</span>
      <dd><p class="para">Output image size, either &#0039;full&#0039; or &#0039;same&#0039;.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imfilter filters an image im with filter F. When im is a mult-channel image, each channel can be filtered with F seperately. Input image pixel values outside the bounds of the image are assumed to equal the nearest array border value.</p>
   <p class="para">The only diffence of filter2 with imfilter is the output of filter2 is double matrix, and the output of imfilter has the same type as input and the elements in the output matrix that exceed the range of the integer type will be truncated.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://filter">filter</a> <span class="scilabstring">=</span> <span class="scilabstring">fspecial('sobel')</span><span class="scilabdefault">;</span>
<span class="scilabid">imf</span> <span class="scilaboperator">=</span> <span class="scilabid">imfilter</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <a class="scilabmacro" href="scilab://filter">filter</a><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">imf</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="fspecial.html" class="link">fspecial</a></li>
   <li class="member"><a href="filter2.html" class="link">filter2</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="fspecial.html">&lt;&lt; fspecial</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_3ba7058e738fa302f12702588c6eea04.html">Image Linear Filtering</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
